Bug 739268 - RFE: Work with Thunderbird and SeaMonkey
Summary: RFE: Work with Thunderbird and SeaMonkey
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mozilla-adblockplus
Version: 15
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Andreas Thienemann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-17 03:36 UTC by Russell Golden
Modified: 2011-11-12 03:29 UTC (History)
2 users (show)

Fixed In Version: mozilla-adblockplus-1.3.10-2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-12 03:25:24 UTC


Attachments (Terms of Use)
New spec file to add requested features (4.04 KB, application/octet-stream)
2011-10-31 00:49 UTC, Russell Golden
no flags Details

Description Russell Golden 2011-09-17 03:36:05 UTC
AdBlock Plus is compatible with just about every Mozilla-based anything that exists. Seriously, check the install.rdf file, it lists just about everything. Yet the RPM in Fedora's repos is configured to only work with Firefox by default.

I'd like to see, at minimum, the package updated to provide ABP for SeaMonkey and Thunderbird. Wouldn't be too difficult. Just change the dep from Firefox to mozilla-filesystem, create system-wide plugin directories for SeaMonkey and Thunderbird if they don't exist, then symlink the appropriate subdirectories to the ABP directory for Firefox.

The NoScript package does this already with SeaMonkey. I'm sure you can handle it. :)

Comment 1 Russell Golden 2011-10-31 00:49:01 UTC
Created attachment 530874 [details]
New spec file to add requested features

I apologize if my RFE sounded condescending. It was certainly not my intent.

I have prepared a new spec file that adds Thunderbird and SeaMonkey support.

I'm attaching it.

Comment 2 Fedora Update System 2011-11-06 01:57:22 UTC
mozilla-adblockplus-1.3.10-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mozilla-adblockplus-1.3.10-2.fc15

Comment 3 Fedora Update System 2011-11-06 01:59:25 UTC
mozilla-adblockplus-1.3.10-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mozilla-adblockplus-1.3.10-2.fc16

Comment 4 Fedora Update System 2011-11-06 23:54:53 UTC
Package mozilla-adblockplus-1.3.10-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mozilla-adblockplus-1.3.10-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15510
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-11-12 03:25:24 UTC
mozilla-adblockplus-1.3.10-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-11-12 03:29:47 UTC
mozilla-adblockplus-1.3.10-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.